FASTAQ-CHUNKER(1)

NAME
fastaq_chunker - Splits sequences into equal sized chunks

DESCRIPTION
usage: fastaq_chunker [options] <infile> <out> <chunk size> <tolerance>

Splits a multi sequence file into separate files. Splits sequences into chunks of a fixed size. Aims for chunk_size chunks in each file, but allows a little extra, so chunk can be up to (chunk_size + tolerance), to prevent tiny chunks made from the ends of sequences

  positional arguments:

infile
    Name of input file to be split

out Prefix of output file. If --onefile used, then name of single output file

chunk_size
    Size of each chunk

tolerance
    Tolerance allowed in chunk size

  options:

-h, --help
    show this help message and exit

--onefile
    Output all the sequences in one file

--skip_all_Ns
    Do not output any sequence that consists of all Ns